#!/bin/sh
#

# Must already have apps.tgz in /tmp.
if [ ! -e /tmp/apps.tgz ]
then
	echo "Need /tmp/apps.tgz"
	exit 1
fi

echo "Killing all applications..."
killall udhcpc
killall udhcpd
killall lighttpd
killall maradns
killall settingsChange
killall resetIP.sh
killall pppoe
killall pppd
echo "Starting at root..."
cd /

echo "Making file system read-write..."
/scripts/read-write.sh

echo "Unpacking application tarball..."
tar -xvzf /tmp/apps.tgz

echo "Removing tarball..."
rm /tmp/apps.tgz

echo "Done!"
exit 0
