#!/bin/sh

# Source Router type
#
. /app/scripts/eipr_type

if [ "$EIPR_TYPE" = "REALTEK" ]; then
	LANIF=eth0.1
else
	LANIF=eth1
fi

echo Content-type: text/html
echo ""
echo "<html><head><title>EIPR</title><link href=\"test.css\" rel=\"stylesheet\" type=\"text/css\" />
</head><body style=\"background: white;\">"

#
echo "<br />"
echo "<h2 style=\"width: 500;\">LAN Interface Statistics:</h2>"
echo "<br />"
lineNums=$(echo $(ifconfig $LANIF | wc -l))
echo "<pre>"
if [ "$lineNums" = "8" ]; then
	ifconfig $LANIF | sed -n -e '4,7 p'
else
	ifconfig $LANIF | sed -n -e '3,6 p'
fi
echo "</pre>"
#
echo "</body></html>"

